<div class="cases-header">
  <div class="case-expand-item"></div>
  <div class="case-item">ID</div>
  <div class="case-item">SLIDES</div>
  <div class="case-item">CREATED ON</div>
  <div class="case-item">TISSUE</div>
  <div class="case-header-description">DESCRIPTION</div>
  <div class="case-item">STATUS</div>
</div>
<mat-divider></mat-divider>
<div class="cases-panel-content">
  <div
    #cases
    data-cy="cases-list"
    class="auto-overflow-y"
    [ngClass]="casesList?.length && casesCount > casesLimit ? 'max-case-list-pagination-container' : 'max-case-list-container'"
    *ngIf="casesList">
    <ng-container *ngFor="let caseItem of casesList">
      <app-case-item
        [caseItem]="caseItem"
        [selected]="selectedCaseId === caseItem?.id"
        [caseExtended]="!!caseExpandedDictionary[caseItem?.id]"
        [selectedExaminationId]="selectedExaminationId"
        (selectCaseExamination)="caseExaminationSelected.emit($event)"
        (createExamination)="createExamination.emit($event)"
        (closeExamination)="closeExamination.emit($event)"
        (expandCase)="expandCase.emit($event)"
        (collapseCase)="collapseCase.emit($event)">
      </app-case-item>
    </ng-container>
  </div>
  <ng-container *ngIf="casesList?.length">
    <div class="pagination-container">
      <mat-divider></mat-divider>
      <app-pagination
        [position]="casesSkip"
        [limit]="casesLimit"
        [maxCount]="casesCount"
        (nextPage)="loadNewCasePage.emit($event)"
        (previousPage)="loadNewCasePage.emit($event)">
      </app-pagination>
    </div>
  </ng-container>
</div>
